CREATE PROCEDURE [dbo].[spGetCommentPageCommentEntries]
	@commententry_posting_page varchar(100)
AS
BEGIN
	SELECT     
	tblCommentEntries.commententry_id, 
	tblCommentEntries.commententry_comment, 
	tblCommentEntries.commententry_username,
	tblUserProfile.profile_avatar,
	tblCommentEntries.commententry_dateTime,
	tblCommentEntries.commententry_pageID
	FROM         
	tblCommentEntries 
	INNER JOIN
	tblUserProfile ON 
	tblCommentEntries.commententry_username = tblUserProfile.profile_username
	WHERE commententry_posting_page = @commententry_posting_page
    ORDER BY 
		tblCommentEntries.commententry_dateTime DESC
		
END